Bug 1633185 - Please drop bcc-* packages from non-x86_64 architectures
Summary: Please drop bcc-* packages from non-x86_64 architectures
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Release Engineering Bug Triage
QA Contact: Release Test Team
Jaroslav Klech
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 11:41 UTC by Stanislav Kozina
Modified: 2018-10-05 07:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Enabling the *BCC* packages for the 64-bit AMD and Intel architectures only The BPF Compiler Collection (BCC) library and the *pcp-pmda-bcc* plugins use the *bpf()* system call, which is enabled only on the 64-bit AMD and Intel CPU architectures. As a result, Red Hat Enterprise Linux 7 only supports *BCC* and *pcp-pmda-bcc* for the 64-bit AMD and Intel CPU architectures.
Clone Of:
Environment:
Last Closed: 2018-09-26 12:07:48 UTC


Attachments (Terms of Use)

Description Stanislav Kozina 2018-09-26 11:41:07 UTC
Hello,

Please drop non-x86_64 packages from rhel-7.6 and rhel-alt-7.6 composes:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=772027

bcc uses bpf() syscall which is not enabled on other than x86_64 architecture in RHEL-7.6. This is doen't make sense to ship these.

Comment 2 Stanislav Kozina 2018-09-26 12:07:48 UTC
Removal of bcc from ppc64le would cause removal of pcp-pmda-bcc as well. Looks like it's too late for such change.

Closing this bug now because for RHEL-7.7 we don't yet know if we'll support bpf() on non-x86_64 arches or we'll want to drop bcc and pcp-pmda-bcc.

Doc impact: Please document on Release Notes that bcc and pcp-pmda-bcc plugins don't work on other than x86_64 architecture. Thanks!

Comment 3 Jaroslav Klech 2018-10-01 18:19:47 UTC
Hello Stanislav,

I proposed the doc_text draft above for this known issue. Please feel free to give me your feedback or other info you would like to mention.

Thank you

Jaroslav

Comment 4 Stanislav Kozina 2018-10-02 09:57:50 UTC
Hey Jaroslav, per Comment#2 we decided to close this is WONTFIX because we didn't cause any impact in RC stage. This won't be done for GA, please don't document this. Thanks!

Comment 5 Jaroslav Klech 2018-10-02 12:33:53 UTC
Do I understand it correctly, that this BZ shouldn't be documented in the release notes for RHEL 7.6.0?

Thanks!

Comment 6 Stanislav Kozina 2018-10-02 13:01:06 UTC
Ugh, sorry! I should have read more carefully. Yes, your proposed doc text looks good to me, please use it as Known Issue. Thanks!


Note You need to log in before you can comment on or make changes to this bug.